Skip to navigation

Update a network tier of a VPC

Updates the name and/or description of a network tier.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the VPC that contains the tier
tierIdstringRequired
ID of the network tier to update

Request

This endpoint expects an object.
namestringOptional
New name for the tier.
descriptionstringOptional
New description for the tier.

Response

The updated network tier
idstringformat: "uuid"
Unique identifier for the tier
namestring
Name of the tier
descriptionstring
Description of the tier
cidrstring
CIDR of the tier
gatewaystringformat: "ipv4"
Gateway IP address
netmaskstringformat: "ipv4"
Netmask of the tier
statusenum
Network status
Allowed values:
regionstring
Region where the tier is located
vpcIdstringformat: "uuid"
Identifier of the VPC that contains this tier
aclIdstringOptionalformat: "uuid"
Identifier of the ACL applied to this tier. Absent when no custom ACL is attached.
aclNamestringOptional
Name of the ACL applied to this tier. Absent when no custom ACL is attached.
createdAtdatetimeOptional
Tier creation date
vpcNamestringOptional
Name of the VPC that contains this tier

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error